| FlatBuffers An open source project by FPL.

Public Member Functions | Public Attributes | List of all members
flatbuffers::DetachedBuffer Class Reference

## Public Member Functions
uint8_t * | data ()
const uint8_t * | data () const
void | destroy ()
| DetachedBuffer (Allocator *allocator, bool own_allocator, uint8_t *buf, size_t reserved, uint8_t *cur, size_t sz)
| DetachedBuffer (DetachedBuffer &&other)
| FLATBUFFERS_DELETE_FUNC (DetachedBuffer(const DetachedBuffer &other)) FLATBUFFERS_DELETE_FUNC(DetachedBuffer &operator
template<class T >
T * | GetRoot ()
template<class T >
const T * | GetRoot () const
DetachedBuffer & | operator= (DetachedBuffer &&other)
void | reset ()
size_t | size () const
template<class T >
bool | Verify () const

## Public Attributes
uint8_t * | buf_
uint8_t * | cur_
bool | own_allocator_
size_t | reserved_
size_t | size_

The documentation for this class was generated from the following file:

- flatbuffers.h